Package ru.bgcrm.model.customer

# Class Customer

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
ru.bgcrm.model.SearchableIdTitle
ru.bgcrm.model.customer.Customer

All Implemented Interfaces:
  `Serializable`, `Comparable<Customer>`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Direct Known Subclasses:
  `Customer`

public class Customer extends SearchableIdTitle implements Comparable<Customer>
Customer object.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `OBJECT_TYPE`

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Customer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(Customer o)`
  `boolean`
  `equals(Object obj)`
  `Date`
  `getCreatedDate()`
  Deprecated.
  `int`
  `getCreatedUserId()`
  Deprecated.
  `Date`
  `getCreateTime()`
  `int`
  `getCreateUserId()`
  `Set<Integer>`
  `getGroupIds()`
  `int`
  `getParamGroupId()`
  `String`
  `getPassword()`
  `String`
  `getReference()`
  `String`
  `getTitlePattern()`
  `int`
  `getTitlePatternId()`
  `int`
  `hashCode()`
  `void`
  `setCreatedDate(Date value)`
  Deprecated.
  `void`
  `setCreatedUserId(int value)`
  Deprecated.
  `void`
  `setCreateTime(Date value)`
  `void`
  `setCreateUserId(int value)`
  `void`
  `setGroupIds(Set<Integer> groupIds)`
  `void`
  `setParamGroupId(int paramGroupId)`
  `void`
  `setPassword(String password)`
  `void`
  `setReference(String uniqueKeys)`
  `void`
  `setTitlePattern(String titlePattern)`
  `void`
  `setTitlePatternId(int titlePatternId)`
  `String`
  `toLog(Connection con, Customer oldCustomer)`
  `String`
  `toString()`

  ### Methods inherited from class ru.bgcrm.model.SearchableIdTitle

  `getSearchMode, setSearchMode`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `getId, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### OBJECT_TYPE

    public static final String OBJECT_TYPE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Customer

    public Customer()

- ## Method Details

  - ### getReference

    public String getReference()

  - ### setReference

    public void setReference(String uniqueKeys)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getTitlePatternId

    public int getTitlePatternId()

  - ### setTitlePatternId

    public void setTitlePatternId(int titlePatternId)

  - ### getTitlePattern

    public String getTitlePattern()

  - ### setTitlePattern

    public void setTitlePattern(String titlePattern)

  - ### getParamGroupId

    public int getParamGroupId()

  - ### setParamGroupId

    public void setParamGroupId(int paramGroupId)

  - ### getCreateTime

    public Date getCreateTime()

  - ### setCreateTime

    public void setCreateTime(Date value)

  - ### getCreatedDate

    @Deprecated public Date getCreatedDate()
    Deprecated.

  - ### setCreatedDate

    @Deprecated public void setCreatedDate(Date value)
    Deprecated.

  - ### getCreateUserId

    public int getCreateUserId()

  - ### setCreateUserId

    public void setCreateUserId(int value)

  - ### getCreatedUserId

    @Deprecated public int getCreatedUserId()
    Deprecated.

  - ### setCreatedUserId

    @Deprecated public void setCreatedUserId(int value)
    Deprecated.

  - ### getGroupIds

    public Set<Integer> getGroupIds()

  - ### setGroupIds

    public void setGroupIds(Set<Integer> groupIds)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Id`

  - ### compareTo

    public int compareTo(Customer o)
    Specified by:
      `compareTo` in interface `Comparable<Customer>`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Id`

  - ### toLog

    public String toLog(Connection con, Customer oldCustomer) throws SQLException
    Throws:
      `SQLException`